#
# spec file for package sgrep (Version 1.92a)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sgrep
License:        GPL
Group:          Productivity/Text/Utilities
Autoreqprov:    on
Version:        1.92a
Release:        837.2
Summary:        Searching for Structured Patterns
Source:         ftp://ftp.cs.helsinki.fi/pub/Software/Local/Sgrep/sgrep-%{version}.tar.gz
Patch:          sgrep-sgreprc.diff
URL:            http://www.cs.helsinki.fi/~jjaakkol/sgrep.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sgrep is like "grep" but it will also work for structured patterns. You
can use the program to extract fragments from SGML/XML or any other
well formed text files (including UTF-8 encoded files).



Authors:
--------
    Jani Jaakkola <jjaakkol@cs.helsinki.fi>
    Pekka Kilpelainen <kilpelai@cs.helsinki.fi>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%debug_package
%prep
%setup -q
%patch -p 1

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure --prefix=%{_prefix} --sysconfdir=/etc --datadir=/etc \
              --mandir=%{_mandir}
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  export RPM_BUILD_ROOT
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install
%{INSTALL_DATA} sample.sgreprc $RPM_BUILD_ROOT/%{_sysconfdir}/sgreprc
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/sample.sgreprc

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README sgrep.lsm
%doc sample.sgreprc
%config %{_sysconfdir}/sgreprc
%{_bindir}/sgrep
%{_mandir}/*/*

%changelog -n sgrep
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 - ke@suse.de
- Add -fno-strict-aliasing.
* Fri Oct 24 2003 - ke@suse.de
- Fix sample.sgreprc.
- Don't Require tk (sgtool.tcl) were dumped.
- Use norootforbuild.
- Use DESTDIR.
* Mon May 26 2003 - ke@suse.de
- Cleanup $RPM_BUILD_ROOT for packaging purposes.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Nov 17 2000 - ke@suse.de
- cleanup spec file; use macros, add group tag (#4246).
* Fri Mar 03 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jan 15 1999 - ke@suse.de
- update: version 1.92a.
* Mon Nov 24 1997 - ro@suse.de
- changes /usr/X11/bin to /usr/X11R6/bin
* Thu Aug 14 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 0.99
